For the complete documentation index, see llms.txt. This page is also available as Markdown.

RCS

Endpoints for RCS integration

Notify RCS Capability Result (Async)

post

Asynchronously notify the result of a capability check for an RCS recipient.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Body

Capability notify request

notifyContentTypestring · enumOptional

NotifyContentType sets the callback content type.

Example: application/jsonPossible values:
notifyUrlstringOptional

NotifyUrl is the callback URL for the async result. If empty, the subscription webhook URL is used.

Example: https://your-server.com/rcs/callback
phoneNumbersstring[]Optional

PhoneNumbers is the list of numbers to check (up to 10,000 for async).

Example: ["+49999999999"]
senderstringOptionalExample: +491234567890
Responses
200

Notification accepted

application/json
bulkIdstringOptional

BulkId uniquely identifies this async check request.

Example: 2034072219640523072
post/rcs/v1/capability-check/notify
POST /rcs/v1/capability-check/notify HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 148

{
  "notifyContentType": "application/json",
  "notifyUrl": "https://your-server.com/rcs/callback",
  "phoneNumbers": [
    "+49999999999"
  ],
  "sender": "+491234567890"
}
{
  "bulkId": "2034072219640523072",
  "capabilityCheckRequestStates": [
    {
      "messageId": "ABEGVUGWh3gEAgo-sLTvmQCS5kwjhsy",
      "phoneNumber": "+49999999999",
      "status": "PENDING_ENROUTE"
    }
  ]
}

Query RCS Capability (Sync)

post

Synchronously check whether a recipient's device supports RCS.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Body

Capability check request

phoneNumbersstring[]Optional

PhoneNumbers is the list of numbers to check (1–5 for sync).

Example: ["+49999999999"]
senderstringOptionalExample: +491234567890
Responses
200

Capability check result

application/json
post/rcs/v1/capability-check/query
POST /rcs/v1/capability-check/query HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 58

{
  "phoneNumbers": [
    "+49999999999"
  ],
  "sender": "+491234567890"
}
{
  "capabilityCheckResults": [
    {
      "code": "CAPABLE",
      "messageId": "ABEGVUGWh3gEAgo-sLTvmQCS5kwjhsy",
      "phoneNumber": "+49999999999"
    }
  ]
}

Push RCS Event

post

Push an inbound or delivery status RCS event.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Body

RCS event request

Responses
200

Event accepted

application/json
bulkIdstringOptional

BulkId is the unique ID for the bulk request, used to fetch reports/logs.

Example: 2034072219640523072
post/rcs/v1/events
POST /rcs/v1/events HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 229

{
  "events": [
    {
      "content": {
        "messageId": "ABEGVUGWh3gEAgo-sLTvmQCS5kwjhsy",
        "type": "SEEN"
      },
      "destinations": [
        {
          "to": "+49999999999"
        }
      ],
      "options": {
        "platform": {
          "applicationId": "my-app-id",
          "entityId": "my-entity-id"
        }
      },
      "sender": "+491234567890"
    }
  ]
}
{
  "bulkId": "2034072219640523072",
  "messages": [
    {
      "messageId": "ABEGVUGWh3gEAgo-sLTvmQCS5kwjhsy",
      "status": {
        "action": "text",
        "description": "Message sent to next instance",
        "groupId": 1,
        "groupName": "PENDING",
        "id": 26,
        "name": "MESSAGE_ACCEPTED"
      },
      "to": "+49999999999"
    }
  ]
}

Get RCS Message Logs

get

Retrieve message logs for sent RCS messages.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Query parameters
senderstringOptional

Sender number

destinationstringOptional

Recipient number

bulkIdstringOptional

Bulk ID to filter by

messageIdstringOptional

Message ID to filter by

generalStatusstringOptional

General status (e.g. DELIVERED, PENDING)

sentSincestringOptional

Filter logs sent after this timestamp (ISO 8601)

sentUntilstringOptional

Filter logs sent before this timestamp (ISO 8601)

limitintegerOptional

Maximum number of logs to return

entityIdstringOptional

Entity ID to filter by

applicationIdstringOptional

Application ID to filter by

campaignReferenceIdstringOptional

Campaign reference ID to filter by

useCursorbooleanOptional

Use cursor-based pagination

cursorstringOptional

Cursor value for next page (from previous response)

Responses
200

Message logs

application/json
get/rcs/v1/logs
GET /rcs/v1/logs HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Accept: */*
{
  "cursor": {
    "limit": 20,
    "nextCursor": "AAAA1234"
  },
  "results": [
    {
      "bulkId": "2034072219640523072",
      "content": {},
      "destination": "+49999999999",
      "doneAt": "2024-02-06T17:18:29.797+0000",
      "error": {
        "description": "No Error",
        "groupId": 0,
        "groupName": "OK",
        "id": 0,
        "name": "NO_ERROR",
        "permanent": false
      },
      "messageCount": 1,
      "messageId": "ABEGVUGWh3gEAgo-sLTvmQCS5kwjhsy",
      "sender": "+491234567890",
      "sentAt": "2024-02-06T14:18:29.797+0000",
      "status": {
        "action": "text",
        "description": "Message delivered to handset",
        "groupId": 3,
        "groupName": "DELIVERED",
        "id": 5,
        "name": "DELIVERED_TO_HANDSET"
      }
    }
  ]
}

Send RCS Message

post

Send an RCS message.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Body

RCS message request

Responses
200

Message accepted

application/json
bulkIdstringOptional

BulkId is the unique ID for the bulk request, used to fetch reports/logs.

Example: 2034072219640523072
post/rcs/v1/messages
POST /rcs/v1/messages HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 2033

{
  "messages": [
    {
      "content": {
        "alignment": "LEFT",
        "cardWidth": "MEDIUM",
        "content": {
          "description": "Limited time deal",
          "media": {
            "file": {
              "url": "https://example.com/video.mp4"
            },
            "height": "MEDIUM",
            "thumbnail": {
              "url": "https://example.com/video.mp4"
            }
          },
          "suggestions": [
            {
              "application": "BROWSER",
              "label": "Our store",
              "latitude": 52.520008,
              "longitude": 13.404954,
              "phoneNumber": "+491234567890",
              "postbackData": "accept",
              "text": "Sounds good",
              "type": "REPLY",
              "url": "https://example.com",
              "webviewViewMode": "HALF"
            }
          ],
          "title": "Check out our offer!"
        },
        "contents": [
          {
            "description": "Limited time deal",
            "media": {
              "file": {
                "url": "https://example.com/video.mp4"
              },
              "height": "MEDIUM",
              "thumbnail": {
                "url": "https://example.com/video.mp4"
              }
            },
            "suggestions": [
              {
                "application": "BROWSER",
                "label": "Our store",
                "latitude": 52.520008,
                "longitude": 13.404954,
                "phoneNumber": "+491234567890",
                "postbackData": "accept",
                "text": "Sounds good",
                "type": "REPLY",
                "url": "https://example.com",
                "webviewViewMode": "HALF"
              }
            ],
            "title": "Check out our offer!"
          }
        ],
        "file": {
          "url": "https://example.com/video.mp4"
        },
        "language": "en",
        "orientation": "VERTICAL",
        "placeholders": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "suggestions": [
          {
            "application": "BROWSER",
            "label": "Our store",
            "latitude": 52.520008,
            "longitude": 13.404954,
            "phoneNumber": "+491234567890",
            "postbackData": "accept",
            "text": "Sounds good",
            "type": "REPLY",
            "url": "https://example.com",
            "webviewViewMode": "HALF"
          }
        ],
        "templateId": "my_template",
        "text": "Hello, world!",
        "type": "TEXT"
      },
      "destinations": [
        {
          "to": "+49999999999"
        }
      ],
      "options": {
        "campaignReferenceId": "summer_promo_2024",
        "platform": {
          "applicationId": "my-app-id",
          "entityId": "my-entity-id"
        },
        "smsFailover": {
          "sender": "MyBrand",
          "text": "Fallback: Hello, world!"
        },
        "validityPeriod": {
          "amount": 24,
          "timeUnit": "HOURS"
        }
      },
      "sender": "+491234567890"
    }
  ],
  "options": {
    "messageOrdering": {
      "respectOrder": true,
      "stopOnFailure": true
    },
    "schedule": {
      "bulkId": "my-bulk-2024",
      "sendAt": "2024-12-01T09:00:00.000+0000"
    },
    "tracking": {
      "customDomain": "short.example.com",
      "removeProtocol": false,
      "shortenUrl": true,
      "trackClicks": true,
      "trackingUrl": "https://your-server.com/clicks"
    }
  }
}
{
  "bulkId": "2034072219640523072",
  "messages": [
    {
      "messageId": "ABEGVUGWh3gEAgo-sLTvmQCS5kwjhsy",
      "status": {
        "action": "text",
        "description": "Message sent to next instance",
        "groupId": 1,
        "groupName": "PENDING",
        "id": 26,
        "name": "MESSAGE_ACCEPTED"
      },
      "to": "+49999999999"
    }
  ]
}

Get RCS Delivery Reports

get

Retrieve delivery reports for sent RCS messages.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Query parameters
bulkIdstringOptional

Unique bulk ID for which reports are requested

messageIdstringOptional

Unique message ID for which a report is requested

limitintegerOptional

Maximum number of reports to return

entityIdstringOptional

Entity ID used to further filter the result

applicationIdstringOptional

Application ID used to further filter the result

campaignReferenceIdstringOptional

Campaign reference ID used to further filter the result

Responses
200

Delivery reports

application/json
get/rcs/v1/reports
GET /rcs/v1/reports HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Accept: */*
{
  "results": [
    {
      "bulkId": "2034072219640523072",
      "doneAt": "2024-02-06T17:18:29.797+0000",
      "error": {
        "description": "No Error",
        "groupId": 0,
        "groupName": "OK",
        "id": 0,
        "name": "NO_ERROR",
        "permanent": false
      },
      "messageCount": 1,
      "messageId": "ABEGVUGWh3gEAgo-sLTvmQCS5kwjhsy",
      "sender": "+491234567890",
      "sentAt": "2024-02-06T14:18:29.797+0000",
      "status": {
        "action": "text",
        "description": "Message delivered to handset",
        "groupId": 3,
        "groupName": "DELIVERED",
        "id": 5,
        "name": "DELIVERED_TO_HANDSET"
      },
      "to": "+49999999999"
    }
  ]
}

List RCS Templates

get

List all RCS templates for the configured sender.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Path parameters
senderstringRequired

RCS sender (must match configured sender)

Query parameters
statusstringOptional

Filter templates by status (e.g. APPROVED, PENDING)

Responses
200

Templates retrieved

application/json
lastUpdatestringOptionalExample: 2024-07-16T10:30:00.000+0000
namestringOptionalExample: special_offer
statusstring · enumOptionalExample: APPROVEDPossible values:
typestring · enumOptionalExample: TEXTPossible values:
get/rcs/v1/senders/{sender}/templates
GET /rcs/v1/senders/{sender}/templates HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Accept: */*
[
  {
    "content": {
      "alignment": "RIGHT",
      "cardWidth": "MEDIUM",
      "content": {
        "description": "We've got a special offer for you!",
        "media": {
          "file": {
            "url": "https://example.com/image.png"
          },
          "height": "MEDIUM"
        },
        "suggestions": [
          {
            "application": "BROWSER",
            "label": "Our store",
            "latitude": 52.520008,
            "longitude": 13.404954,
            "phoneNumber": "+491234567890",
            "postbackData": "decline",
            "text": "Thanks, I'm good",
            "type": "REPLY",
            "url": "https://example.com",
            "webviewViewMode": "HALF"
          }
        ],
        "title": "We wish you a happy holiday!"
      },
      "contents": [
        {
          "description": "We've got a special offer for you!",
          "media": {
            "file": {
              "url": "https://example.com/image.png"
            },
            "height": "MEDIUM"
          },
          "suggestions": [
            {
              "application": "BROWSER",
              "label": "Our store",
              "latitude": 52.520008,
              "longitude": 13.404954,
              "phoneNumber": "+491234567890",
              "postbackData": "decline",
              "text": "Thanks, I'm good",
              "type": "REPLY",
              "url": "https://example.com",
              "webviewViewMode": "HALF"
            }
          ],
          "title": "We wish you a happy holiday!"
        }
      ],
      "messageOrder": "TEXT_MESSAGE_AT_TOP",
      "orientation": "VERTICAL",
      "suggestions": [
        {
          "application": "BROWSER",
          "label": "Our store",
          "latitude": 52.520008,
          "longitude": 13.404954,
          "phoneNumber": "+491234567890",
          "postbackData": "decline",
          "text": "Thanks, I'm good",
          "type": "REPLY",
          "url": "https://example.com",
          "webviewViewMode": "HALF"
        }
      ],
      "text": "Hello {{username}}! We've got a special offer for you!",
      "type": "TEXT",
      "url": "https://example.com/agreement.pdf"
    },
    "lastUpdate": "2024-07-16T10:30:00.000+0000",
    "name": "special_offer",
    "status": "APPROVED",
    "type": "TEXT"
  }
]

Create RCS Template

post

Create a new RCS template for the configured sender.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Path parameters
senderstringRequired

RCS sender (must match configured sender)

Body

Template definition

providersstring[]Optional

Providers lists the providers to register the template with. Defaults to all providers available for the sender if empty.

Example: ["INDIA_VI"]
templateNamestringOptional

TemplateName is the unique name for the new template (1–20 chars).

Example: special_offer
Responses
200

Template created

application/json
lastUpdatestringOptionalExample: 2024-07-16T10:30:00.000+0000
namestringOptionalExample: special_offer
statusstring · enumOptionalExample: APPROVEDPossible values:
typestring · enumOptionalExample: TEXTPossible values:
post/rcs/v1/senders/{sender}/templates
POST /rcs/v1/senders/{sender}/templates HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1411

{
  "content": {
    "alignment": "RIGHT",
    "cardWidth": "MEDIUM",
    "content": {
      "description": "We've got a special offer for you!",
      "media": {
        "file": {
          "url": "https://example.com/image.png"
        },
        "height": "MEDIUM"
      },
      "suggestions": [
        {
          "application": "BROWSER",
          "label": "Our store",
          "latitude": 52.520008,
          "longitude": 13.404954,
          "phoneNumber": "+491234567890",
          "postbackData": "decline",
          "text": "Thanks, I'm good",
          "type": "REPLY",
          "url": "https://example.com",
          "webviewViewMode": "HALF"
        }
      ],
      "title": "We wish you a happy holiday!"
    },
    "contents": [
      {
        "description": "We've got a special offer for you!",
        "media": {
          "file": {
            "url": "https://example.com/image.png"
          },
          "height": "MEDIUM"
        },
        "suggestions": [
          {
            "application": "BROWSER",
            "label": "Our store",
            "latitude": 52.520008,
            "longitude": 13.404954,
            "phoneNumber": "+491234567890",
            "postbackData": "decline",
            "text": "Thanks, I'm good",
            "type": "REPLY",
            "url": "https://example.com",
            "webviewViewMode": "HALF"
          }
        ],
        "title": "We wish you a happy holiday!"
      }
    ],
    "messageOrder": "TEXT_MESSAGE_AT_TOP",
    "orientation": "VERTICAL",
    "suggestions": [
      {
        "application": "BROWSER",
        "label": "Our store",
        "latitude": 52.520008,
        "longitude": 13.404954,
        "phoneNumber": "+491234567890",
        "postbackData": "decline",
        "text": "Thanks, I'm good",
        "type": "REPLY",
        "url": "https://example.com",
        "webviewViewMode": "HALF"
      }
    ],
    "text": "Hello {{username}}! We've got a special offer for you!",
    "type": "TEXT",
    "url": "https://example.com/agreement.pdf"
  },
  "providers": [
    "INDIA_VI"
  ],
  "templateName": "special_offer"
}
{
  "content": {
    "alignment": "RIGHT",
    "cardWidth": "MEDIUM",
    "content": {
      "description": "We've got a special offer for you!",
      "media": {
        "file": {
          "url": "https://example.com/image.png"
        },
        "height": "MEDIUM"
      },
      "suggestions": [
        {
          "application": "BROWSER",
          "label": "Our store",
          "latitude": 52.520008,
          "longitude": 13.404954,
          "phoneNumber": "+491234567890",
          "postbackData": "decline",
          "text": "Thanks, I'm good",
          "type": "REPLY",
          "url": "https://example.com",
          "webviewViewMode": "HALF"
        }
      ],
      "title": "We wish you a happy holiday!"
    },
    "contents": [
      {
        "description": "We've got a special offer for you!",
        "media": {
          "file": {
            "url": "https://example.com/image.png"
          },
          "height": "MEDIUM"
        },
        "suggestions": [
          {
            "application": "BROWSER",
            "label": "Our store",
            "latitude": 52.520008,
            "longitude": 13.404954,
            "phoneNumber": "+491234567890",
            "postbackData": "decline",
            "text": "Thanks, I'm good",
            "type": "REPLY",
            "url": "https://example.com",
            "webviewViewMode": "HALF"
          }
        ],
        "title": "We wish you a happy holiday!"
      }
    ],
    "messageOrder": "TEXT_MESSAGE_AT_TOP",
    "orientation": "VERTICAL",
    "suggestions": [
      {
        "application": "BROWSER",
        "label": "Our store",
        "latitude": 52.520008,
        "longitude": 13.404954,
        "phoneNumber": "+491234567890",
        "postbackData": "decline",
        "text": "Thanks, I'm good",
        "type": "REPLY",
        "url": "https://example.com",
        "webviewViewMode": "HALF"
      }
    ],
    "text": "Hello {{username}}! We've got a special offer for you!",
    "type": "TEXT",
    "url": "https://example.com/agreement.pdf"
  },
  "lastUpdate": "2024-07-16T10:30:00.000+0000",
  "name": "special_offer",
  "status": "APPROVED",
  "type": "TEXT"
}

Get RCS Template

get

Retrieve details of a specific RCS template.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Path parameters
senderstringRequired

RCS sender (must match configured sender)

templateNamestringRequired

Template name

Responses
200

Template retrieved

application/json
lastUpdatestringOptionalExample: 2024-07-16T10:30:00.000+0000
namestringOptionalExample: special_offer
statusstring · enumOptionalExample: APPROVEDPossible values:
typestring · enumOptionalExample: TEXTPossible values:
get/rcs/v1/senders/{sender}/templates/{templateName}
GET /rcs/v1/senders/{sender}/templates/{templateName} HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Accept: */*
{
  "content": {
    "alignment": "RIGHT",
    "cardWidth": "MEDIUM",
    "content": {
      "description": "We've got a special offer for you!",
      "media": {
        "file": {
          "url": "https://example.com/image.png"
        },
        "height": "MEDIUM"
      },
      "suggestions": [
        {
          "application": "BROWSER",
          "label": "Our store",
          "latitude": 52.520008,
          "longitude": 13.404954,
          "phoneNumber": "+491234567890",
          "postbackData": "decline",
          "text": "Thanks, I'm good",
          "type": "REPLY",
          "url": "https://example.com",
          "webviewViewMode": "HALF"
        }
      ],
      "title": "We wish you a happy holiday!"
    },
    "contents": [
      {
        "description": "We've got a special offer for you!",
        "media": {
          "file": {
            "url": "https://example.com/image.png"
          },
          "height": "MEDIUM"
        },
        "suggestions": [
          {
            "application": "BROWSER",
            "label": "Our store",
            "latitude": 52.520008,
            "longitude": 13.404954,
            "phoneNumber": "+491234567890",
            "postbackData": "decline",
            "text": "Thanks, I'm good",
            "type": "REPLY",
            "url": "https://example.com",
            "webviewViewMode": "HALF"
          }
        ],
        "title": "We wish you a happy holiday!"
      }
    ],
    "messageOrder": "TEXT_MESSAGE_AT_TOP",
    "orientation": "VERTICAL",
    "suggestions": [
      {
        "application": "BROWSER",
        "label": "Our store",
        "latitude": 52.520008,
        "longitude": 13.404954,
        "phoneNumber": "+491234567890",
        "postbackData": "decline",
        "text": "Thanks, I'm good",
        "type": "REPLY",
        "url": "https://example.com",
        "webviewViewMode": "HALF"
      }
    ],
    "text": "Hello {{username}}! We've got a special offer for you!",
    "type": "TEXT",
    "url": "https://example.com/agreement.pdf"
  },
  "lastUpdate": "2024-07-16T10:30:00.000+0000",
  "name": "special_offer",
  "status": "APPROVED",
  "type": "TEXT"
}

Update RCS Template

put

Update an existing RCS template.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Path parameters
senderstringRequired

RCS sender (must match configured sender)

templateNamestringRequired

Template name

Body

Updated template content

Responses
200

Template updated

application/json
lastUpdatestringOptionalExample: 2024-07-16T10:30:00.000+0000
namestringOptionalExample: special_offer
statusstring · enumOptionalExample: APPROVEDPossible values:
typestring · enumOptionalExample: TEXTPossible values:
put/rcs/v1/senders/{sender}/templates/{templateName}
PUT /rcs/v1/senders/{sender}/templates/{templateName} HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1355

{
  "content": {
    "alignment": "RIGHT",
    "cardWidth": "MEDIUM",
    "content": {
      "description": "We've got a special offer for you!",
      "media": {
        "file": {
          "url": "https://example.com/image.png"
        },
        "height": "MEDIUM"
      },
      "suggestions": [
        {
          "application": "BROWSER",
          "label": "Our store",
          "latitude": 52.520008,
          "longitude": 13.404954,
          "phoneNumber": "+491234567890",
          "postbackData": "decline",
          "text": "Thanks, I'm good",
          "type": "REPLY",
          "url": "https://example.com",
          "webviewViewMode": "HALF"
        }
      ],
      "title": "We wish you a happy holiday!"
    },
    "contents": [
      {
        "description": "We've got a special offer for you!",
        "media": {
          "file": {
            "url": "https://example.com/image.png"
          },
          "height": "MEDIUM"
        },
        "suggestions": [
          {
            "application": "BROWSER",
            "label": "Our store",
            "latitude": 52.520008,
            "longitude": 13.404954,
            "phoneNumber": "+491234567890",
            "postbackData": "decline",
            "text": "Thanks, I'm good",
            "type": "REPLY",
            "url": "https://example.com",
            "webviewViewMode": "HALF"
          }
        ],
        "title": "We wish you a happy holiday!"
      }
    ],
    "messageOrder": "TEXT_MESSAGE_AT_TOP",
    "orientation": "VERTICAL",
    "suggestions": [
      {
        "application": "BROWSER",
        "label": "Our store",
        "latitude": 52.520008,
        "longitude": 13.404954,
        "phoneNumber": "+491234567890",
        "postbackData": "decline",
        "text": "Thanks, I'm good",
        "type": "REPLY",
        "url": "https://example.com",
        "webviewViewMode": "HALF"
      }
    ],
    "text": "Hello {{username}}! We've got a special offer for you!",
    "type": "TEXT",
    "url": "https://example.com/agreement.pdf"
  }
}
{
  "content": {
    "alignment": "RIGHT",
    "cardWidth": "MEDIUM",
    "content": {
      "description": "We've got a special offer for you!",
      "media": {
        "file": {
          "url": "https://example.com/image.png"
        },
        "height": "MEDIUM"
      },
      "suggestions": [
        {
          "application": "BROWSER",
          "label": "Our store",
          "latitude": 52.520008,
          "longitude": 13.404954,
          "phoneNumber": "+491234567890",
          "postbackData": "decline",
          "text": "Thanks, I'm good",
          "type": "REPLY",
          "url": "https://example.com",
          "webviewViewMode": "HALF"
        }
      ],
      "title": "We wish you a happy holiday!"
    },
    "contents": [
      {
        "description": "We've got a special offer for you!",
        "media": {
          "file": {
            "url": "https://example.com/image.png"
          },
          "height": "MEDIUM"
        },
        "suggestions": [
          {
            "application": "BROWSER",
            "label": "Our store",
            "latitude": 52.520008,
            "longitude": 13.404954,
            "phoneNumber": "+491234567890",
            "postbackData": "decline",
            "text": "Thanks, I'm good",
            "type": "REPLY",
            "url": "https://example.com",
            "webviewViewMode": "HALF"
          }
        ],
        "title": "We wish you a happy holiday!"
      }
    ],
    "messageOrder": "TEXT_MESSAGE_AT_TOP",
    "orientation": "VERTICAL",
    "suggestions": [
      {
        "application": "BROWSER",
        "label": "Our store",
        "latitude": 52.520008,
        "longitude": 13.404954,
        "phoneNumber": "+491234567890",
        "postbackData": "decline",
        "text": "Thanks, I'm good",
        "type": "REPLY",
        "url": "https://example.com",
        "webviewViewMode": "HALF"
      }
    ],
    "text": "Hello {{username}}! We've got a special offer for you!",
    "type": "TEXT",
    "url": "https://example.com/agreement.pdf"
  },
  "lastUpdate": "2024-07-16T10:30:00.000+0000",
  "name": "special_offer",
  "status": "APPROVED",
  "type": "TEXT"
}

Delete RCS Template

delete

Delete a specific RCS template.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Path parameters
senderstringRequired

RCS sender (must match configured sender)

templateNamestringRequired

Template name

Responses
204

Template deleted

No content

delete/rcs/v1/senders/{sender}/templates/{templateName}
DELETE /rcs/v1/senders/{sender}/templates/{templateName} HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Accept: */*

No content

Register RCS Template

patch

Register a specific RCS template for use.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Path parameters
senderstringRequired

RCS sender (must match configured sender)

templateNamestringRequired

Template name

Body

Registration options

providersstring[]Optional

Providers lists the providers to register with. Only providers not yet registered should be included.

Example: ["INDIA_VI"]
Responses
200

Template registered

application/json
lastUpdatestringOptionalExample: 2024-07-16T10:30:00.000+0000
namestringOptionalExample: special_offer
statusstring · enumOptionalExample: APPROVEDPossible values:
typestring · enumOptionalExample: TEXTPossible values:
patch/rcs/v1/senders/{sender}/templates/{templateName}/register
PATCH /rcs/v1/senders/{sender}/templates/{templateName}/register HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 26

{
  "providers": [
    "INDIA_VI"
  ]
}
{
  "content": {
    "alignment": "RIGHT",
    "cardWidth": "MEDIUM",
    "content": {
      "description": "We've got a special offer for you!",
      "media": {
        "file": {
          "url": "https://example.com/image.png"
        },
        "height": "MEDIUM"
      },
      "suggestions": [
        {
          "application": "BROWSER",
          "label": "Our store",
          "latitude": 52.520008,
          "longitude": 13.404954,
          "phoneNumber": "+491234567890",
          "postbackData": "decline",
          "text": "Thanks, I'm good",
          "type": "REPLY",
          "url": "https://example.com",
          "webviewViewMode": "HALF"
        }
      ],
      "title": "We wish you a happy holiday!"
    },
    "contents": [
      {
        "description": "We've got a special offer for you!",
        "media": {
          "file": {
            "url": "https://example.com/image.png"
          },
          "height": "MEDIUM"
        },
        "suggestions": [
          {
            "application": "BROWSER",
            "label": "Our store",
            "latitude": 52.520008,
            "longitude": 13.404954,
            "phoneNumber": "+491234567890",
            "postbackData": "decline",
            "text": "Thanks, I'm good",
            "type": "REPLY",
            "url": "https://example.com",
            "webviewViewMode": "HALF"
          }
        ],
        "title": "We wish you a happy holiday!"
      }
    ],
    "messageOrder": "TEXT_MESSAGE_AT_TOP",
    "orientation": "VERTICAL",
    "suggestions": [
      {
        "application": "BROWSER",
        "label": "Our store",
        "latitude": 52.520008,
        "longitude": 13.404954,
        "phoneNumber": "+491234567890",
        "postbackData": "decline",
        "text": "Thanks, I'm good",
        "type": "REPLY",
        "url": "https://example.com",
        "webviewViewMode": "HALF"
      }
    ],
    "text": "Hello {{username}}! We've got a special offer for you!",
    "type": "TEXT",
    "url": "https://example.com/agreement.pdf"
  },
  "lastUpdate": "2024-07-16T10:30:00.000+0000",
  "name": "special_offer",
  "status": "APPROVED",
  "type": "TEXT"
}

Get RCS Template Status

get

Retrieve the approval status of a specific RCS template.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Path parameters
senderstringRequired

RCS sender (must match configured sender)

templateNamestringRequired

Template name

Responses
200

Template status

application/json
namestringOptionalExample: special_offer
statusstring · enumOptionalExample: APPROVEDPossible values:
get/rcs/v1/senders/{sender}/templates/{templateName}/status
GET /rcs/v1/senders/{sender}/templates/{templateName}/status HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Accept: */*
{
  "coverage": [
    {
      "countryCode": "DE",
      "providers": [
        {
          "providerName": "INDIA_VI",
          "status": "APPROVED",
          "updatedAt": "2024-07-16T10:30:00.000+0000"
        }
      ]
    }
  ],
  "name": "special_offer",
  "status": "APPROVED"
}

List RCS Template Providers

get

Retrieve the list of available RCS template providers.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Query parameters
senderstringOptional

Filter providers by sender

countryCodestringOptional

Filter providers by country code (e.g. DE, US)

Responses
200

Providers retrieved

application/json
providersstring[]OptionalExample: ["INDIA_VI"]
get/rcs/v1/templates/template-providers
GET /rcs/v1/templates/template-providers HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Accept: */*
{
  "providers": [
    "INDIA_VI"
  ]
}

Last updated

Was this helpful?